%def_without static

Name: libmikmod
Version: 3.1.11
Release: alt0.6

Summary: A portable sound library for Unix
License: GPL/LGPL
Group: System/Libraries

Source: %name-%version.tar.gz
Patch0: %name-3.1.9-texinfo.patch
Patch1: libmikmod-3.1.11-esdm4.patch.bz2
Patch2: libmikmod-3.1.11-alt-underquoted.patch
Patch3: libmikmod-3.1.11-a.diff
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: esound-devel glibc-devel-static libaudiofile-devel

Summary(ru_RU.KOI8-R):       

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

%description -l ru_RU.KOI8-R
Libmikmod -  ,  
          IT,
XM, S3M, MTM, 669, STM, ULT, FAR, MED, AMF, DSM, IMF, GDM, STX, OKT 
MOD,        
 ,    RAW  WAV   .

%package devel
Summary: Header files and libraries for developing apps which will use %name
Summary(ru_RU.KOI8-R):    ,  %name
Group: Development/C
Requires: %name = %version
Requires: libaudiofile-devel

%description devel
Install the %name-devel package if you want to develop applications that
will use the %name library.

%description -l ru_RU.KOI8-R devel
    ,    
    %name.

%package devel-static
Summary: Static version of %name library
Summary(ru_RU.KOI8-R):    %name
Group: Development/C
Requires: %name-devel = %version

%description devel-static
Install the %name-devel-static package if you want to develop
applications that will use the %name library statically linked.

%description -l ru_RU.KOI8-R devel-static
      %name,  
 ,    %name.

%prep
%setup
%patch0 -p1
%patch1 -p1
#patch2 -p0
%patch3 -p1

%build
autoreconf -fisv
%configure
%make_build

%install
%makeinstall
chmod a+x %buildroot%_libdir/*.so.*

# remove non-packaged files
rm -f %buildroot%_libdir/*.la
%if_without static
rm -f %buildroot%_libdir/*.a
%endif

%post devel
%install_info mikmod.info

%preun devel
%uninstall_info mikmod.info

%files
%_libdir/*.so.*
%doc AUTHORS NEWS README TODO

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_man1dir/*
%_infodir/*.info*
%_datadir/aclocal/*

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sat Dec 06 2008 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.6
- added Packager:

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.5
- added libmikmod-3.1.11-a.diff
- applied repocop patch

* Fri Sep 28 2007 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.4
- added Requires: libaudiofile-devel to devel subpackage
  (mikmod configure test fails to link due to missing -laudiofile)

* Mon Sep 17 2007 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.3
- added patch to fix underquoted aclocal macro in libmikmod.m4,
  thanks to Vitaly Lipatov for (shamefully trivial) patch
  (fixes #8776)
- spec macro abuse cleanup

* Tue Jun 20 2006 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.2
- s/ru-Ru/ru_RU/g

* Mon Apr 03 2006 Michael Shigorin <mike@altlinux.org> 3.1.11-alt0.1
- NMU: 3.1.11 (tarball updated from Gentoo distfiles)
- added Gentoo makefile patch
- fix build with --as-needed
- removed --disable-alsa
- removed stale Url
- s/ru-Ru/ru_RU/

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 3.1.10-alt3
- do not package .la files.
- devel-static subpackage is optional.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.1.10-alt2
- Rebuild with gcc-3.2. 

* Sat Feb 2 2002  Yuri N. Sedunov <aris@altlinux.ru> 3.1.10-alt1
- new version

* Fri Dec 21 2001 Yuri N. Sedunov <aris@altlinux.ru> 3.1.9-alt1
- Rebuilt with EsounD support, it works.
- URLs changed.
- Russian summary and description added.
- devel-static package

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl5mdk
- Added and applied official "a" patch.

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl4mdk
- RE adaptions.

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-4mdk
- build for gcc-2.96
- capitalized summary
- fix requires

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-3mdk
- disable alsa, from :
	Goetz Waschk <waschk@linux-mandrake.com>
	- removed alsa support, it caused segfaults

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.9-2mdk
- macroszifications
- fix hte filelist (*.so goes to devel not main)
- rebuild for BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-1mdk
- v 3.1.9
- fix group
- add doc
- spechelper fix

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .so in %files section (reported by David Mihm
  <dmihm@rchitecture.com>).

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 3.1.8.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .la file.

* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- downgraded to version 3.1.6 for xmms compatibilty.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
